%define nm_version 0.7.3
%define git_date git20091228

Name: NetworkManager-gnome
Version: 0.7.3
Release: alt1.M51.1
License: %gpl2plus
Group: Graphical desktop/GNOME
Summary: GNOME applications for use with NetworkManager
Url: http://www.gnome.org/projects/NetworkManager/
Packager: Mikhail Efremov <sem@altlinux.org>
Source: nm-applet-%version.tar
Source1: nm-applet.desktop
Patch0: nm-applet-%version-%release.patch

Requires: NetworkManager >= %nm_version
Requires: NetworkManager-glib >= %nm_version
Requires: hal >= 0.5.0
Requires: libnotify >= 0.3
Requires: gnome-keyring
Requires: libpolkit >= 0.6
Requires: dbus-tools-gui
Requires: PolicyKit-gnome
Requires: mobile-broadband-provider-info

BuildPreReq: libdbus-devel libdbus-glib libGConf-devel libgtk+2-devel libhal-devel intltool libtool libpolkit-devel

# Automatically added by buildreq on Tue Apr 22 2008
BuildRequires: libGConf-devel libglade-devel libgnome-keyring-devel libnotify-devel libwireless-devel
BuildRequires: NetworkManager-devel >= %nm_version
BuildRequires: NetworkManager-glib-devel >= %nm_version
BuildRequires: libPolicyKit-gnome-devel
BuildRequires: rpm-build-licenses

%description
This package contains GNOME utilities and applications for use with
NetworkManager, including a panel applet for wireless networks.

%prep
%setup -n nm-applet-%version
%patch0 -p1

%build
%autoreconf
%configure \
    --disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install
install -Dm 0644 %SOURCE1 %buildroot/%_datadir/applications/nm-applet.desktop
install -Dm 0644 %SOURCE1 %buildroot/%_datadir/autostart/nm-applet.desktop
%find_lang nm-applet

%post
if /sbin/service messagebus status &>/dev/null; then
dbus-send --system --type=method_call --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig &>/dev/null ||:
else
echo "nm-applet requires running messagebus service." >&2
fi

%files -f nm-applet.lang
%doc COPYING ChangeLog NEWS AUTHORS README CONTRIBUTING
%_bindir/*
%_datadir/nm-applet
%_iconsdir/hicolor/*/apps/*
%_sysconfdir/dbus-1/system.d/nm-applet.conf
%_sysconfdir/xdg/autostart/nm-applet.desktop
%_sysconfdir/gconf/schemas/nm-applet.schemas
%_datadir/autostart/nm-applet.desktop
%_datadir/applications/*.desktop

%changelog
* Thu Jul 29 2010 Mikhail Efremov <sem@altlinux.org> 0.7.3-alt1.M51.1
- Release 0.7.3

* Mon Dec 28 2009 Mikhail Efremov <sem@altlinux.org> 0.7.2-alt2.git20091228.M51.1
- new upstream git snapshot (NETWORKMANAGER_APPLET_0_7 branch), including:
    + fix potential leakage of secrets onto the system bus (CVE-2009-4145)
    + fix possible connections to spoofed WPA Enterprise networks (CVE-2009-4144)

* Tue Nov 24 2009 Mikhail Efremov <sem@altlinux.org> 0.7.2-alt1.M51.1
- Release 0.7.2

* Thu Nov 12 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1.998-alt0.M51.1
- build for 5.1

* Fri Oct 30 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1.998-alt1
- 0.7.1.998 (0.7.2-rc4)

* Wed Oct 21 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1.997-alt1
- 0.7.1.997 (0.7.2-rc3)

* Mon Oct 05 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt2.git20091005
- Russian translation by Andrey Cherepanov.
- new upstream git snapshot (NETWORKMANAGER_APPLET_0_7 branch)

* Tue Jul 28 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt2.git20090728
- new upstream git snapshot (NETWORKMANAGER_APPLET_0_7 branch)

* Thu Jul 16 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt2.git20090716
- upstream git snapshot (NETWORKMANAGER_APPLET_0_7 branch)
- removed libmbca support.

* Wed Apr 15 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt1
- Release 0.7.1

* Mon Apr 06 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.100-alt1
- 0.7.0.100 (0.7.1-rc4)

* Thu Mar 05 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.99-alt1
- 0.7.0.99 (0.7.1-rc3)

* Thu Feb 26 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.98-alt1
- 0.7.0.98 (0.7.1-rc2)
- pack source as tar instead tar.gz

* Thu Feb 19 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.97-alt1
- 0.7.0.97 (0.7.1-rc1)

* Thu Jan 22 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt9
- applied Ubuntu patch for libmbca support.

* Fri Dec 12 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt8
- enable 'Available for all users' checkbutton

* Thu Dec 11 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt7
- fix 'no icon' bug again 

* Wed Dec 03 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt6
- Release NetworkManager 0.7

* Tue Dec 02 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt5.svn.r1043
- create auto wired connection if needed

* Tue Nov 25 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt4.svn.r1043
- BuildRequires fixed

* Mon Nov 24 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt3.svn.r1043
- new svn snapshot
- nm-applet-no-icon-fix.patch removed (obsolete)

* Fri Nov 21 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt3.svn.r986
- update_menus removed (obsolete)
- Requires fixed
- disable 'Available for all users' checkbutton (it does not work yet)

* Wed Nov 12 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt2.svn.r986
- Requires and BuildRequires updated

* Tue Oct 28 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7.0-alt1.svn.r986
- new svn ref

* Fri Oct 10 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7.0-alt1.svn.r838.M41.4
- fix 'no icon' bug  

* Thu Sep 11 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7.0-alt1.svn.r838.M41.3
- autostarting in KDE 

* Mon Sep 08 2008 Yuri N. Sedunov <aris@altlinux.org> 0.7.0-alt1.svn.r838.M41.2
- don't call gtk-update-icon-cache in %%post{,un}

* Fri Sep 05 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7.0-alt1.svn.r838.M41.1
- port to M41 

* Wed Aug 13 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn.r838
- new svn snapshot
- spec updated

* Tue Jul 22 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn20080722
- new svn snapshot (797)
- .desktop file is added (applet can start from the menu now)

* Wed May 28 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn20080527
- new svn snapshot (730)
- spec post/postun sections fixed

* Tue Apr 29 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn20080428
- new svn snapshot (705)
- spec cleanup

* Tue Apr 22 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn20080419
- initial build
